logo
Video Call
Server API
Stream Mixing and Transcoding APIs
On this page

StopMix

POST

https://rtc-api.zego.im/

Call this API to stop stream mixing. For related callbacks, please refer to Stream Mixing End Callback.

Warning
  • When the current stream mixing task (hereinafter referred to as "Stream Mixing Task A") is still in progress, if the developer starts a new stream mixing task (hereinafter referred to as "Stream Mixing Task B"), Stream Mixing Task A will not stop automatically. Only after 90 seconds from when all input streams of Stream Mixing Task A no longer exist, will it automatically end.
  • When using the stream mixing function of ZEGO Audio/Video Cloud Service, developers should pay attention: when starting Stream Mixing Task B, Stream Mixing Task A should be stopped, to avoid the situation where the host has already started Stream Mixing Task B to mix with other hosts, but the audience is still pulling the output stream of Stream Mixing Task A.
Call frequency limit
All rooms under the same AppID are limited to 100 times/second

Request

Query Parameters

    Action stringrequired

    Possible values: [StopMix]

    Interface prototype parameters

    https://rtc-api.zego.im?Action=StopMix

    AppId uint32required

    💡Public parameter. Application ID, assigned by ZEGOCLOUD. Get it from the ZEGOCLOUD Admin Console.

    SignatureNonce stringrequired

    💡Common parameter. A 16-character hexadecimal random string (hex-encoded 8-byte random number). For the generation algorithm, refer to the signature example.

    Timestamp int64required

    💡Common parameter. Current Unix timestamp in seconds. For the generation algorithm, refer to the signature example. A maximum deviation of 10 minutes is allowed.

    Signature stringrequired

    💡Common parameter. Signature used to verify the legitimacy of the request. Please refer to the signature mechanism to generate it.

    SignatureVersion stringrequired

    Possible values: [2.0]

    Default value: 2.0

    💡Public parameter. Signature version number.

Body

required
    TaskId stringrequired

    Stream mixing task ID, which needs to be consistent with the TaskId passed in when starting stream mixing.

    Sequence int32

    Sequence number of the stream mixing task, used to ensure sequence, parameter modification of the same task needs to ensure the sequence number increments.

    UserId string

    User ID. When enabling stream mixing task ownership, stopping the stream mixing task of a certain TaskId must input the UserId specified when starting the stream mixing task.

Responses

Success
Schema
    Code int32

    The following only lists the return codes related to interface business logic. For complete return codes, please refer to Global Return Codes.

    Return CodeDescriptionHandling Suggestion
    110200001Failed.Please try again.
    110200002Input parameter error.Please refer to Message information for processing.
    110200003Authentication failed.Please confirm whether the authentication information is correct or expired, for details, please refer to "Signature Mechanism" in Calling Method.
    110200004Failed to parse input parameters.Please check if the stream mixing parameters are correct.
    Message string

    Operation result description.

    RequestId string

    Request ID.

Previous

StartMix

Next

GetMixTaskInfo

On this page

Back to top